// 原  wxs/number.wxs 文件，使用时在 js中引入
// const wxs = number()

function number () {
  return {
    // 转换为价格的格式
    toPrice: (val) => {
      if (!val) {
        val = 0
      }
      val = Number(val)
      return val.toFixed(2)
    },
    // 价格展示
    parsePrice: (val) => {
      val = val / 100
      if (!val) {
        val = 0
      }
      return val.toFixed(2).split('.')
    },

    // 取整
    rounding: (val) => {
      if (!val) {
        val = 0
      }
      return parseInt(val)
    },
    /**
     * 裁剪日期  2020-03-20 15:04:40  ->  2020-03-20
     */
    spliceDate: (dateStr) => {
      if (!dateStr) return
      return dateStr.split(' ')[0]
    }
  }
}

export default number
